with import <nixpkgs> {};

stdenv.mkDerivation rec {
	pname = "purple-signald";
	version = "0.10.0";
	src = fetchFromGitHub {
		owner = "hoehermann";
		repo = pname;
		rev = "5402cb63f6a20b90f7d3cc6fdb4bd5aca50eaab0";
		sha256 = "LdQhXT3GyY2mTRXUSgynwxcEb/rPIU9VaWTPpq7jAHs=";
		fetchSubmodules = true;
	};

	nativeBuildInputs = [ cmake ];
	buildInputs = [ pidgin json-glib ];
}
